# Events

## Events

<mark style="color:blue;">`GET`</mark> `https://api.voordemensen.nl/v1/:client_name/events/:event_id`

List all or specific main- and subevents.

#### Path Parameters

| Name         | Type   | Description                                                                                  |
| ------------ | ------ | -------------------------------------------------------------------------------------------- |
| client\_name | string | the short name identifying you as a VdM client e.g. *demo* or *fringe*                       |
| event\_id    | string | id of a specific main- or subevent OR use the string **upcoming** to filter on future events |

{% tabs %}
{% tab title="200 Events successfully retrieved" %}

```
[
  {
    "event_id": 94,
    "event_name": "VoordeMensen Demo Event",
    "event_text": "Extra tekst",
    "event_short_text": "Subtitel of naam van het gezelschap",
    "event_image": null,
    "sub_events": [
      {
        "event_id": 95,
        "event_name": "VoordeMensen Demo Event",
        "event_text": "Extra tekst",
        "event_short_text": "Subtitel of naam van het gezelschap",
        "event_url": null,
        "event_image": null,
        "event_date": "2022-04-01",
        "event_time": "20:30:00",
        "event_end": "22:30:00",
        "event_view_end": "0000-00-00 00:00:00",
        "event_rep": "sub",
        "event_main_id": 94,
        "event_free": 10,
        "event_status": "pub",
        "location_id": 1,
        "location_name": "Bellevue Grote Zaal"
      },
      {
        "event_id": 96,
        "event_name": "VoordeMensen Demo Event",
        "event_text": "Extra tekst",
        "event_short_text": "Subtitel of naam van het gezelschap",
        "event_url": null,
        "event_image": null,
        "event_date": "2022-04-02",
        "event_time": "15:00:00",
        "event_end": "17:00:00",
        "event_view_end": "0000-00-00 00:00:00",
        "event_rep": "sub",
        "event_main_id": 94,
        "event_free": 10,
        "event_status": "pub",
        "location_id": 1,
        "location_name": "Bellevue Grote Zaal"
      },
      {
        "event_id": 97,
        "event_name": "VoordeMensen Demo Event",
        "event_text": "Extra tekst",
        "event_short_text": "Subtitel of naam van het gezelschap",
        "event_url": null,
        "event_image": null,
        "event_date": "2022-04-02",
        "event_time": "20:30:00",
        "event_end": "22:30:00",
        "event_view_end": "0000-00-00 00:00:00",
        "event_rep": "sub",
        "event_main_id": 94,
        "event_free": 10,
        "event_status": "pub",
        "location_id": 1,
        "location_name": "Bellevue Grote Zaal"
      }
    ]
  }
]
```

{% endtab %}

{% tab title="404 Event was not found" %}

```
{    "message": "Event not found"}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Events in the response are grouped by main\_event and sub\_events. In VdM every event has a main\_event and at least one sub\_event. This allows for different performances of the same show to be grouped.
{% endhint %}

{% hint style="warning" %}
Note that the field event\_free for free seats is censored in the public facing API's: it will show the maximum available tickets per order (or less, if less are available) and reveals nothing about actual capacity/sales.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voordemensen.nl/api/public-endpoints/api-public.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
